You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     jmoha...@bsd.hu
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/emulators/yape/Makefile 327721 2013-09-20 
16:43:52Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-23_09h21m35s/logs/yape-0.32.5_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-23_09h21m35s
Log:

====>> Building emulators/yape
build started at Fri May 23 20:24:03 UTC 2014
port directory: /usr/ports/emulators/yape
building for: FreeBSD head-amd64-default-job-10 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 amd64
maintained by: jmoha...@bsd.hu
Makefile ident:      $FreeBSD: head/emulators/yape/Makefile 327721 2013-09-20 
16:43:52Z bapt $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=31277
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=yape-0.32.5_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SDL_CONFIG=/usr/local/bin/sdl-config MAKE=gmake SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SDL_CONFIG=/usr/local/bin/sdl-config SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/yape"
EXAMPLESDIR="share/examples/yape"
DATADIR="share/yape"
WWWDIR="www/yape"
ETCDIR="etc/yape"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/yape
DOCSDIR=/usr/local/share/doc/yape
EXAMPLESDIR=/usr/local/share/examples/yape
WWWDIR=/usr/local/www/yape
ETCDIR=/usr/local/etc/yape
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for yape-0.32.5_1
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   yape-0.32.5_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of yape-0.32.5_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by yape-0.32.5_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by yape-0.32.5_1 for building
=> SHA256 Checksum OK for yapeSDL-0.32.5.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by yape-0.32.5_1 for building
===>  Extracting for yape-0.32.5_1
=> SHA256 Checksum OK for yapeSDL-0.32.5.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for yape-0.32.5_1
===>  Applying FreeBSD patches for yape-0.32.5_1
===========================================================================
=======================<phase: build-depends  >============================
===>   yape-0.32.5_1 depends on file: /usr/local/bin/sdl-config - not found
===>    Verifying install for /usr/local/bin/sdl-config in 
/usr/ports/devel/sdl12
===>   Installing existing package /packages/All/sdl-1.2.15_4,2.txz
Installing sdl-1.2.15_4,2...Installing aalib-1.4.r5_10... done
Installing libGLU-9.0.0...Installing libGL-9.1.7_1...Installing 
dri2proto-2.8... done
Installing expat-2.1.0... done
Installing libX11-1.6.2_2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8_2...Installing xproto-7.0.25... done
 done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1_1... done
 done
 done
Installing libXdamage-1.1.4_2...Installing damageproto-1.2.1... done
Installing libXfixes-5.0.1_2...Installing fixesproto-5.0... done
 done
 done
Installing libXext-1.3.2_2,1...Installing xextproto-7.3.0... done
 done
Installing libXxf86vm-1.1.3_2...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.52...Installing libpciaccess-0.13.2_2...Installing 
pciids-20140502... done
 done
 done
Installing libglapi-9.1.7...Installing libxshmfence-1.1_2... done
 done
 done
 done
Installing libXrandr-1.4.2_2...Installing libXrender-0.9.8_2...Installing 
renderproto-0.11.1... done
 done
Installing randrproto-1.4.0... done
 done
 done
------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   Returning to build of yape-0.32.5_1
===>   yape-0.32.5_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1_1... done
 done
===>   Returning to build of yape-0.32.5_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   yape-0.32.5_1 depends on shared library: libSDL.so - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for yape-0.32.5_1
===========================================================================
=======================<phase: build          >============================
===>  Building for yape-0.32.5_1
gmake[1]: Entering directory `/wrkdirs/usr/ports/emulators/yape/work'
c++ -O2 -pipe  -fno-strict-aliasing -finline -frerun-loop-opt -Winline 
-fomit-frame-pointer `/usr/local/bin/sdl-config --cflags` -c archdep.cpp 
c++: error: unknown argument: '-frerun-loop-opt'
gmake[1]: *** [archdep.o] Error 1
gmake[1]: Leaving directory `/wrkdirs/usr/ports/emulators/yape/work'
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/yape
===>  Cleaning for yape-0.32.5_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to